OpenThreads::ScopedReadLock Class Reference

`#include <ReadWriteMutex>`

## Public Member Functions

| ScopedReadLock (ReadWriteMutex &mutex)
| ~ScopedReadLock ()

## Protected Member Functions

ScopedReadLock & | operator= (const ScopedReadLock &)

## Protected Attributes

ReadWriteMutex & | _mutex

## Constructor & Destructor Documentation

## ScopedReadLock()

OpenThreads::ScopedReadLock::ScopedReadLock | ( | ReadWriteMutex & | mutex | ) |

inline

References _mutex.

Referenced by operator=().

## ~ScopedReadLock()

OpenThreads::ScopedReadLock::~ScopedReadLock | ( |  | ) |

inline

References _mutex.

## Member Function Documentation

## operator=()

ScopedReadLock & OpenThreads::ScopedReadLock::operator= | ( | const ScopedReadLock & |  | ) |

inline protected

References ScopedReadLock().

## Member Data Documentation

## _mutex

ReadWriteMutex& OpenThreads::ScopedReadLock::_mutex

protected

Referenced by ScopedReadLock(), and ~ScopedReadLock().

The documentation for this class was generated from the following file:

- ReadWriteMutex